[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Fedora 8 Test 2 Release Notes



On Tue, 2007-09-18 at 18:27 +0200, dragoran wrote:
> Richi Plana wrote:
> > Sorry. It was the alsa-oss-libs packages requirement that tripped me up.
> > Let's see if I understand correctly now: flash-plugins tries the
> > OSS /dev/dsp interface (which didn't work on my system when
> > alsa-oss-libs.i386 was missing because the OSS emulation doesn't work
> > without those libs?) and, failing that, tries to find libflashsupport.so
> > within $PATH or $LD_LIBRARY_PATH, loads it and uses it? (actually, it
> > might even be preferring that over OSS).
> >
> > The reason I'm asking is I'm trying to figure out what the best way is
> > to ensure that there is support for flash-plugins packaging-wise. If PA
> > isn't installed, then the other alternative requirements should be
> > installed (either OSS or OSS-emulation by ALSA).
> >   
> you seem to be confused
> flash uses alsa by default not oss ...

I think I'm misunderstanding how alsa-oss works. I "rpm -qi alsa-oss"'d
now and found out that there are two OSS interfaces: /dev/dsp and
preloading libaoss.so.0. I'm guessing the library wraps around some
system calls like open(2) and ioctl(2).

But if flash-plugin uses ALSA directly, then why doesn't the audio of
flash-plugin.i386 work on my x86_64 machine using nspluginwrapper when
alsa-oss-libs.i386 isn't installed?
--

Richi Plana


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]